Skip to Content

Get an extension

Returns one extension by its id or name. Its versions are `GET /v1/extensions/{id}/versions`.

GET
/v1/extensions/{id}

Returns one extension by its id or name. Its versions are GET /v1/extensions/{id}/versions.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string

The extension's id (ext_…) or its name.

Length1 <= length <= 64

Response Body

Extension

application/json
  1. response
id*ExtensionId
Match^ext_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
displayName*string
description*string|null
runtime*string
Value in"hosted""webhook"
latestVersion*
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.extensions.get({
  "id": "example"
});
Example Response
{
  "id": "string",
  "name": "string",
  "displayName": "string",
  "description": "string",
  "runtime": "hosted",
  "latestVersion": {
    "id": "string",
    "version": "string"
  },
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation